Debian Bug report logs - #622973
pu: package josm/0.0.svn3376-1+squeeze1

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: dapal@debian.org

Date: Sat, 16 Apr 2011 09:57:13 UTC

Severity: normal

Fixed in version 6.0.2

Done: Adam D. Barratt <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-osm-maint@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622973; Package release.debian.org. (Sat, 16 Apr 2011 09:57:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
New Bug report received and forwarded. Copy sent to pkg-osm-maint@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Sat, 16 Apr 2011 09:57:19 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: submit@bugs.debian.org
Subject: pu: package josm/0.0.svn3376-1+squeeze1
Date: Sat, 16 Apr 2011 11:55:40 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

Dear Release Team,
I'm writing to you to ask for a possible p-u upload for JOSM.

OpenStreetMap is pursuing a process to change the license of its data.
Tomorrow it will enter Phase III, i.e. a contributor has to explicitely accept
or decline the new license [0], otherwise he'll get a 403 error [1].

The suggested fix [2] was to improve the error message, including the response
body. Upstream did this [3], and released a new snapshot (4021, currently in
sid).

I'm attaching the backported patch.

Thanks,
David

[0]: http://lists.openstreetmap.org/pipermail/talk/2011-April/057649.html
[1]: http://lists.openstreetmap.org/pipermail/josm-dev/2011-April/005504.html
[2]: http://lists.openstreetmap.org/pipermail/josm-dev/2011-April/005508.html
[3]:
https://josm.openstreetmap.de/changeset?reponame=josm&new=4020%40%2F&old=4019%40%2F

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[90-backport_failedauth_explaination.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622973; Package release.debian.org. (Sat, 16 Apr 2011 10:53:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 16 Apr 2011 10:53:57 GMT) Full text and rfc822 format available.

Message #10 received at 622973@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: dapal@debian.org, 622973@bugs.debian.org
Cc: pkg-osm-maint@lists.alioth.debian.org
Subject: Re: Bug#622973: pu: package josm/0.0.svn3376-1+squeeze1
Date: Sat, 16 Apr 2011 11:32:42 +0100
On Sat, 2011-04-16 at 11:55 +0200, David Paleino wrote:
> I'm writing to you to ask for a possible p-u upload for JOSM.
> 
> OpenStreetMap is pursuing a process to change the license of its data.
> Tomorrow it will enter Phase III, i.e. a contributor has to explicitely accept
> or decline the new license [0], otherwise he'll get a 403 error [1].

If this is phase 3, presumably this has been known about for a while?
If so, it would have been nicer if the patch could have been included in
the version which we shipped in Squeeze.  (I realise this was only just
fixed upstream, looking at the links you provided; thanks for those).

> The suggested fix [2] was to improve the error message, including the response
> body. Upstream did this [3], and released a new snapshot (4021, currently in
> sid).

Assuming the resulting package has been tested in a Squeeze environment,
please feel free to upload including (just) that patch.

> [0]: http://lists.openstreetmap.org/pipermail/talk/2011-April/057649.html
> [1]: http://lists.openstreetmap.org/pipermail/josm-dev/2011-April/005504.html
> [2]: http://lists.openstreetmap.org/pipermail/josm-dev/2011-April/005508.html
> [3]:
> https://josm.openstreetmap.de/changeset?reponame=josm&new=4020%40%2F&old=4019%40%2F

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622973; Package release.debian.org. (Sat, 16 Apr 2011 10:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 16 Apr 2011 10:54:10 GMT) Full text and rfc822 format available.

Message #15 received at 622973@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 622973@bugs.debian.org, pkg-osm-maint@lists.alioth.debian.org
Subject: Re: Bug#622973: pu: package josm/0.0.svn3376-1+squeeze1
Date: Sat, 16 Apr 2011 12:44:32 +0200
[Message part 1 (text/plain, inline)]
On Sat, 16 Apr 2011 11:32:42 +0100, Adam D. Barratt wrote:

> On Sat, 2011-04-16 at 11:55 +0200, David Paleino wrote:
> > I'm writing to you to ask for a possible p-u upload for JOSM.
> > 
> > OpenStreetMap is pursuing a process to change the license of its data.
> > Tomorrow it will enter Phase III, i.e. a contributor has to explicitely
> > accept or decline the new license [0], otherwise he'll get a 403 error [1].
> 
> If this is phase 3, presumably this has been known about for a while?

The date wasn't known up to two days ago; when it was announced (see link [0]
in my mail).

> If so, it would have been nicer if the patch could have been included in
> the version which we shipped in Squeeze.  (I realise this was only just
> fixed upstream, looking at the links you provided; thanks for those).

Heh :)
It's really an easy patch, but the problem really is that it was announced
suddenly, and with little pre-notice.

> > The suggested fix [2] was to improve the error message, including the
> > response body. Upstream did this [3], and released a new snapshot (4021,
> > currently in sid).
> 
> Assuming the resulting package has been tested in a Squeeze environment,
> please feel free to upload including (just) that patch.

Thanks,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 01 May 2011 14:30:06 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 6.0.2, send any further explanations to dapal@debian.org Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 26 Jun 2011 15:03:19 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jul 2011 07:43:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:54:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.